<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_b2f5a1004511" . "64396178c16d2" . "a5c6899" => base64_decode("cHJldl90aXRsZQ" . "=="), "ti" . "tl" . "e" => base64_decode("dGl0bG" . "U="), "_6e38cb9e043a07c" . "d69a1711a6704c62" . "a" => base64_decode("cGFyZW50X2l" . "k"), "_a5e22fe41a6e4288b56df78f2f278f" . "8f" => base64_decode("cHJldl9wYXJlbnRfaW" . "Q="));
use Claromentis\Core\Event\GenericEvent;


class UpdateFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_b2f5a100451164396178c1" . "6d2a5c6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["tit" . "le"]);
    }
    public function GetPrevParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_a5e22fe41a6e4288b56df78" . "f2f278f8f"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_6e38cb9e043a07cd69a1711a6704c6" . "2a"]);
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}